#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int n;
    cin >> n;
    int ossz =0;
    vector<int> a;
    vector<int> b;
    int k=0;
    int x = 2*n-k;
    int y = 1+k;
    for(int i=0;i<n/2;i+=2){
        a.push_back(x);
        a.push_back(y);
        x = y;
        k++;
        y = 2*n-k;
        a.push_back(x);
        a.push_back(y);
        x = 2*n-k;
        y = 1+k;
    }
    x--;
    for(int i=0;i<n/2;i+=2){
        b.push_back(x);
        b.push_back(y);
        x = y;
        k++;
        y = (2*n-k)-1;
        b.push_back(x);
        b.push_back(y);
        x = (2*n-k)-1;
        y = 1+k;
    }
    for(int i=0;i<a.size();i++){
        cout << a[i] << ' ';
    }
    cout << endl;
    for(int i=0;i<b.size();i++){
        cout << b[i] << ' ';
    }
    cout << endl;
    return 0;
}